package com.care.common.cache;

import lombok.Data;

/**
 * 描述：
 *
 * @autho：java
 * @create 2021/5/25 0:55
 **/
@Data
public class RedisKeyConstant {

    // 微信access_token 2h
    public static final String WX_ACCESS_TOKEN = "WX:TOKEN";
    public static final int WX_ACCESS_TOKEN_TIME = (3600 - 2) * 2;

    // 会员登录信息 2days
    public static final String PINANBAO_LOGIN_INFO = "PINANBAO:LOGIN";
    public static final int LOGIN_INFO_TIME = 3600 * 24 * 7;

    // 后台登录信息 6 小时
    public static final String BACK_LOGIN_INFO = "BACK:LOGIN";
    public static final int BACK_LOGIN_INFO_TIME = 3600 * 24;

    // 后台登录信息 6 小时
    public static final String SEAT_LOGIN_INFO = "SEAT:LOGIN";
    public static final int SEAT_LOGIN_INFO_TIME = 3600 * 2;

    // 绑定手机号短信验证码 5min
    public static final String V_CODE_BIND_MSG = "V_CODE:MSG";
    public static final int V_CODE_BIND_MSG_TIME = 60 * 5;

    //工单处理，同一工单仅1个人处理
    public static final String DO_ORDER = "SEAT_DO_ORDER:LOCK";

    //设备监测信息
    public static final String DEVICE_MONITOR = "DEVICE:MONITOR";
    public static final int DEVICE_MONITOR_TIME = 60;

}
